<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon Jun 07 23:26:17 CEST 2021 -->
<title>C-Index</title>
<meta name="date" content="2021-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#calculateCRC-byte:A-int-int-">calculateCRC(byte[], int, int)</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>
<div class="block">Calculates and returns the CRC using the data passed in parameters.</div>
</dd>
<dt><a href="../ch/hevs/isi/package-summary.html">ch.hevs.isi</a> - package ch.hevs.isi</dt>
<dd>&nbsp;</dd>
<dt><a href="../ch/hevs/isi/core/package-summary.html">ch.hevs.isi.core</a> - package ch.hevs.isi.core</dt>
<dd>&nbsp;</dd>
<dt><a href="../ch/hevs/isi/database/package-summary.html">ch.hevs.isi.database</a> - package ch.hevs.isi.database</dt>
<dd>&nbsp;</dd>
<dt><a href="../ch/hevs/isi/field/package-summary.html">ch.hevs.isi.field</a> - package ch.hevs.isi.field</dt>
<dd>&nbsp;</dd>
<dt><a href="../ch/hevs/isi/smartcontrol/package-summary.html">ch.hevs.isi.smartcontrol</a> - package ch.hevs.isi.smartcontrol</dt>
<dd>&nbsp;</dd>
<dt><a href="../ch/hevs/isi/utils/package-summary.html">ch.hevs.isi.utils</a> - package ch.hevs.isi.utils</dt>
<dd>&nbsp;</dd>
<dt><a href="../ch/hevs/isi/web/package-summary.html">ch.hevs.isi.web</a> - package ch.hevs.isi.web</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#checkCRC-byte:A-int-int-byte:A-">checkCRC(byte[], int, int, byte[])</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>
<div class="block">Checks the CRC and returns true if it is correct, otherwise false.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/BooleanRegister.html#config-java.lang.String-int-">config(String, int)</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field">BooleanRegister</a></dt>
<dd>
<div class="block">Used to configurate the modbus connection parameters</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FieldConnector.html#config-java.lang.String-int-">config(String, int)</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a></dt>
<dd>
<div class="block">Configuration of the modbus</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FloatRegister.html#config-java.lang.String-int-">config(String, int)</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field">FloatRegister</a></dt>
<dd>
<div class="block">Configure the modbus</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
